Ava-658: Ava Aware would not validate certificates for on-premise access control systems

Release Date

16th September 2022.

Overview

Ava Aware would not validate certificates for on-premise access control systems by default, enabling the possibility of a man-in-the-middle attack on the connection.

Affected Products

  • Ava Aware:
    • All Stable upgrade channel versions before 5.0.4.
    • All Beta upgrade channel versions before 5.0.2.

Unaffected Products

  • Ava Aware:
    • All Stable upgrade channel versions after and including 5.0.4.
    • All Beta upgrade channel versions after and including 5.0.2.
  • Ava cameras: all versions.
  • Ava Cloud: all versions.

Resolution

This issue has been fixed in Ava Aware Beta upgrade channel version 5.0.2 and Stable upgrade channel version 5.0.4. It is *crucial* that all installations running an affected version are upgraded to the latest release as soon as possible. Releases are available to download through the Ava Aware User Interface.

We recommend that all Aware deployments that connect to on-premise access control systems with publicly trusted certificates disable the "Ignore SSL Certificate Errors" option in order for Aware to validate the certificate. Find this option by going to the Devices tool, clicking on Access systems > Options > Manage settings and disable "Ignore SSL Certificate Errors" in the "Edit access control system" dialog for each access system.

Vulnerability Information

Mitigations

There are no known mitigations for this issue.

Work arounds

There are no known work arounds for this issue.

Acknowledgements

Issue found internally by Ava Security.

Disclosure Timeline

  • 22/06/2022 Issue found internally by Ava Security
  • 27/06/2022 Root cause established
  • 29/06/2022 Fix identified
  • 04/07/2022 Patched Ava Aware (Beta upgrade channel) released
  • 14/07/2022 Patched Ava Aware (Stable upgrade channel) released
  • 05/07/2022 Preliminary vulnerability advisory published
  • 16/09/2022 Vulnerability publicly disclosed